package cn.iocoder.yudao.module.member.dal.mysql.configtype;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.member.dal.dataobject.configtype.ConfigTypeDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.member.controller.admin.configtype.vo.*;

/**
 * 配置类型 Mapper
 *
 * @author 秦俊旗
 */
@Mapper
public interface ConfigTypeMapper extends BaseMapperX<ConfigTypeDO> {

    default PageResult<ConfigTypeDO> selectPage(ConfigTypePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ConfigTypeDO>()
                .likeIfPresent(ConfigTypeDO::getName, reqVO.getName())
                .eqIfPresent(ConfigTypeDO::getType, reqVO.getType())
                .eqIfPresent(ConfigTypeDO::getRemark, reqVO.getRemark())
                .betweenIfPresent(ConfigTypeDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(ConfigTypeDO::getId));
    }

}